import pygame

XMAX = 800
YMAX = 600
RESOLUTION = (XMAX, YMAX)

FPS = 40

# number of milliseconds between bird updates.
BIRDRATE = 100

# bird event.
BIRDUPDATE = pygame.USEREVENT

# event definitions
# 250 ms between fan gusts
EVENT_FAN_TIMEOUT = 25
EVENT_FAN_TIMEOUT_TIME = 250

BLOW = 1
SUCK = 0
# the amount of kWh subtracted for creating an air.
AIRS_COST = 0.05
BIRD_BONUS = AIRS_COST * 0.5

BLOW_START_Y = 560
SUCK_START_Y = 0
# bird constants.
BIRD_FLAPUPDATE = 15 # number of frames before flapping.

MU = 0.1

# turbine output.
TURBINE_kW = 1000
TURBINE_HITDELAY = 3000

# colours

WHITE = (255, 255, 255)
